# http://editorconfig.org
root = true

[*]
indent_style = space
indent_size = 4
end_of_line = lf
charset = utf-8
trim_trailing_whitespace = true

# The JSON files contain newlines inconsistently
[*.json]
insert_final_newline = ignore

# Makefiles always use tabs for indentation
[Makefile]
indent_style = tab

[*.mak]
indent_style = tab

[*.md]
trim_trailing_whitespace = false

[*.cpp]
indent_size = 2

[*.h]
indent_size = 2

